orte-info(1)

NAME
orte-info - Display information about the ORTE installation

SYNOPSIS
orte-info [options]

DESCRIPTION

orte-info provides detailed information about the ORTE installation. It can be useful for at least three common scenarios:

1. Checking local configuration and seeing how ORTE was installed.

2. Submitting bug reports / help requests to the ORTE community (see http://www.open-mpi.org/community/help/)

3. Seeing a list of installed ORTE plugins and querying what MCA parameters they support.

OPTIONS
orte-info accepts the following options:

-a|--all
    Show all configuration options and MCA parameters

--arch
    Show architecture ORTE was compiled on

-c|--config
    Show configuration options

-gmca|--gmca <param> <value>
    Pass global MCA parameters that are applicable to all contexts.

-h|--help
    Shows help / usage message

--hostname
    Show the hostname that ORTE was configured and built on

--internal
    Show internal MCA parameters (not meant to be modified by users)

-mca|--mca <param> <value>
    Pass context-specific MCA parameters; they are considered global if --gmca is not used and only one context is specified.

--param <type> <component>
    Show MCA parameters. The first parameter is the type of the component to display; the second parameter is the specific component to display (or the keyword "all", meaning "display all components of this type").

--parsable
    When used in conjunction with other parameters, the output is displayed in a machine-parsable format --parseable Synonym for --parsable

--path <type>
    Show paths that ORTE was configured with. Accepts the following parameters: prefix, bindir, libdir, incdir, pkglibdir, sysconfdir.

--pretty
    When used in conjunction with other parameters, the output is displayed in 'prettyprint' format (default)

-v|--version <component> <scope>
    Show version of ORTE or a component. <component> can be the keywords "ompi" or "all", the name of a framework (e.g., "coll" shows all components in the coll framework), or the name of a specific component (e.g., "pls:rsh" shows the information from the rsh PLS component). <scope> can be one of: full, major, minor, release, greek, svn.

EXAMPLES

orte-info
    Show the default output of options and listing of installed components in a human-readable / prettyprint format.

orte-info --parsable
    Show the default output of options and listing of installed components in a machine-parsable format.

orte-info --param rmcast udp
    Show the MCA parameters of the "udp" RMCAST component in a human-readable / prettyprint format.

orte-info --param rmcast udp --parsable
    Show the MCA parameters of the "udp" RMCAST component in a machine-parsable format.

orte-info --path bindir
    Show the "bindir" that ORTE was configured with.

orte-info --version orte full --parsable
    Show the full version numbers of ORTE (including the OPAL version number) in a machine-readable format.

orte-info --version rmcast major
    Show the major version number of all RMCAST components in a prettyprint format.

orte-info --version rmcast:tcp minor
    Show the minor version number of the TCP RMCAST component in a prettyprint format.

orte-info --all
    Show all information about the ORTE installation, including all components that can be found, the MCA parameters that they support, versions of ORTE and the components, etc.

AUTHORS
The ORTE maintainers -- see http://www.openmpi.org/ or the file AUTHORS.

This manual page was originally contributed by Dirk Eddelbuettel <edd@debian.org>, one of the Debian GNU/Linux maintainers for Open MPI, and may be used by others.